#include <bits/stdc++.h>
using namespace std;
long long x[100005];
long long y[100005];
long long p(long long x1, long long y1, long long x2, long long y2, long long x3, long long y3)
{
    long long p=abs((x1-x2)*(y2-y3)-(y1-y2)*(x2-x3))/2;
    return p;
}
int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    int n;
    cin>>n;
    for(int i=0; i<n; i++)
        cin>>x[i]>>y[i];
    if(n>4)
    {
        long long ceo=0;
        for(int i=1; i<n-1; i++)
        {
            ceo+=p(x[0],y[0],x[i],y[i],x[i+1],y[i+1]);
        }
        long long najveci=0;
        for(int i=0; i<n-2; i++)
        {
            long long tr=p(x[i+2],y[i+2],x[i],y[i],x[i+1],y[i+1]);
            if(najveci<tr)
                najveci=tr;
        }
        if(najveci<p(x[0],y[0],x[1],y[1],x[n-1],y[n-1]))
            najveci=p(x[0],y[0],x[1],y[1],x[n-1],y[n-1]);
        if(najveci<p(x[0],y[0],x[n-2],y[n-2],x[n-1],y[n-1]))
            najveci=p(x[0],y[0],x[n-2],y[n-2],x[n-1],y[n-1]);
        cout<<ceo-najveci<<endl;
    }
    else
    {
        long long najmanji=p(x[0],y[0],x[1],y[1],x[2],y[2]);
        if(najmanji>p(x[3],y[3],x[1],y[1],x[2],y[2]))
            najmanji=p(x[3],y[3],x[1],y[1],x[2],y[2]);
        if(najmanji>p(x[0],y[0],x[3],y[3],x[2],y[2]))
            najmanji=p(x[0],y[0],x[3],y[3],x[2],y[2]);
        if(najmanji>p(x[0],y[0],x[1],y[1],x[3],y[3]))
            najmanji=p(x[0],y[0],x[1],y[1],x[3],y[3]);
        cout<<najmanji<<endl;
    }
    return 0;
}